libvisio::VSDOptionalCharStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions

| VSDOptionalCharStyle ()

VSDOptionalCharStyle (unsigned cc, const std::optional< VSDName > &ft, const std::optional< Colour > &c, const std::optional< double > &s, const std::optional< bool > &b, const std::optional< bool > &i, const std::optional< bool > &u, const std::optional< bool > &du, const std::optional< bool > &so, const std::optional< bool > &dso, const std::optional< bool > &ac, const std::optional< bool > &ic, const std::optional< bool > &sc, const std::optional< bool > &super, const std::optional< bool > &sub, const std::optional< double > &sw)

| VSDOptionalCharStyle (const VSDOptionalCharStyle &style)=default
| ~VSDOptionalCharStyle ()
VSDOptionalCharStyle & | operator= (const VSDOptionalCharStyle &style)=default
void | override (const VSDOptionalCharStyle &style)

## Public Attributes

unsigned | charCount
std::optional< VSDName > | font
std::optional< Colour > | colour
std::optional< double > | size
std::optional< bool > | bold
std::optional< bool > | italic
std::optional< bool > | underline
std::optional< bool > | doubleunderline
std::optional< bool > | strikeout
std::optional< bool > | doublestrikeout
std::optional< bool > | allcaps
std::optional< bool > | initcaps
std::optional< bool > | smallcaps
std::optional< bool > | superscript
std::optional< bool > | subscript
std::optional< double > | scaleWidth

## Constructor & Destructor Documentation

## VSDOptionalCharStyle() [1/3]

libvisio::VSDOptionalCharStyle::VSDOptionalCharStyle | ( |  | ) |

inline

Referenced by operator=(), override(), and VSDOptionalCharStyle().

## VSDOptionalCharStyle() [2/3]

libvisio::VSDOptionalCharStyle::VSDOptionalCharStyle | ( | unsigned | cc,
|  | const std::optional< VSDName > & | ft,
|  | const std::optional< Colour > & | c,
|  | const std::optional< double > & | s,
|  | const std::optional< bool > & | b,
|  | const std::optional< bool > & | i,
|  | const std::optional< bool > & | u,
|  | const std::optional< bool > & | du,
|  | const std::optional< bool > & | so,
|  | const std::optional< bool > & | dso,
|  | const std::optional< bool > & | ac,
|  | const std::optional< bool > & | ic,
|  | const std::optional< bool > & | sc,
|  | const std::optional< bool > & | super,
|  | const std::optional< bool > & | sub,
|  | const std::optional< double > & | sw )

inline

## VSDOptionalCharStyle() [3/3]

libvisio::VSDOptionalCharStyle::VSDOptionalCharStyle | ( | const VSDOptionalCharStyle & | style | ) |

default

## ~VSDOptionalCharStyle()

libvisio::VSDOptionalCharStyle::~VSDOptionalCharStyle | ( |  | ) |

inline

## Member Function Documentation

## operator=()

VSDOptionalCharStyle & libvisio::VSDOptionalCharStyle::operator= | ( | const VSDOptionalCharStyle & | style | ) |

default

## override()

void libvisio::VSDOptionalCharStyle::override | ( | const VSDOptionalCharStyle & | style | ) |

inline

Referenced by libvisio::VSDCharacterList::addCharIX().

## Member Data Documentation

## allcaps

std::optional<bool> libvisio::VSDOptionalCharStyle::allcaps

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## bold

std::optional<bool> libvisio::VSDOptionalCharStyle::bold

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## charCount

unsigned libvisio::VSDOptionalCharStyle::charCount

Referenced by libvisio::VSDCharacterList::addCharIX(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## colour

std::optional<Colour> libvisio::VSDOptionalCharStyle::colour

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## doublestrikeout

std::optional<bool> libvisio::VSDOptionalCharStyle::doublestrikeout

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## doubleunderline

std::optional<bool> libvisio::VSDOptionalCharStyle::doubleunderline

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## font

std::optional<VSDName> libvisio::VSDOptionalCharStyle::font

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## initcaps

std::optional<bool> libvisio::VSDOptionalCharStyle::initcaps

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## italic

std::optional<bool> libvisio::VSDOptionalCharStyle::italic

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## scaleWidth

std::optional<double> libvisio::VSDOptionalCharStyle::scaleWidth

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## size

std::optional<double> libvisio::VSDOptionalCharStyle::size

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## smallcaps

std::optional<bool> libvisio::VSDOptionalCharStyle::smallcaps

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## strikeout

std::optional<bool> libvisio::VSDOptionalCharStyle::strikeout

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## subscript

std::optional<bool> libvisio::VSDOptionalCharStyle::subscript

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## superscript

std::optional<bool> libvisio::VSDOptionalCharStyle::superscript

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

## underline

std::optional<bool> libvisio::VSDOptionalCharStyle::underline

Referenced by libvisio::VSDCharacterList::addCharIX(), override(), VSDOptionalCharStyle(), and VSDOptionalCharStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h